Skip to main content
PATCH
/
v2
/
extensions
/
{extensionId}
Update Extension
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/v2/extensions/{extensionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "version": "<string>",
  "manifestHash": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "extensionId": "<string>",
  "version": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "lastChanged": "2023-11-07T05:31:56Z",
  "manifestHash": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

extensionId
string<uuid>
required

The id of the Extension Represents a unique key for identifying an extension within the JTL.Wawi extensibility framework.

Body

application/json

The relevant Information of the Extension

Model Class: UpdateExtension

version
string

The Version of Extension.

manifestHash
string

The Hash of the Manifest Hexadeimcal Sha512

status
enum<integer>

The status of the Extension

Available options:
0,
1,
2

Response

The changed Extension

Model Class: Extension

id
string<uuid>

The Identifier of the Extension.

extensionId
string

The Unique Identifier of the Extension

version
string

The Version of Extension.

created
string<date-time>

The Date of Creation the Extension in the Wawi

lastChanged
string<date-time>

The Date of the last changeof the Extension information

manifestHash
string

The Hash of the Manifest Hexadeimcal Sha512

status
enum<integer>

The status of the Extension

Available options:
0,
1,
2